com.google.gwt.i18n.client

## Interface ConstantsWithLookup

All Superinterfaces:
  Constants, Localizable, LocalizableResource

    public interface ConstantsWithLookup
    extends Constants

Like `Constants`, a tag interface that facilitates locale-sensitive, compile-time binding of constant values supplied from properties files with the added ability to look up constants at runtime with a string key.

`ConstantsWithLookup` extends `Constants` and is identical in behavior, adding only a family of special-purpose lookup methods such as `getString(String)`.

It is generally preferable to extend `Constants` rather than `ConstantsWithLookup` because `ConstantsWithLookup` forces all constants to be retained in the compiled script, preventing the GWT compiler from pruning unused constant accessors.

### Required Module

Modules that use this interface should inherit `com.google.gwt.i18n.I18N`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.i18n.I18N"/>
>       <!-- additional module settings -->
>     </module>

### Note

You should not directly implement this interface or interfaces derived from it since an implementation is generated automatically when message interfaces are created using `GWT.create(Class)`.

See Also:
  `Constants`

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.Constants

`Constants.DefaultBooleanValue, Constants.DefaultDoubleValue, Constants.DefaultFloatValue, Constants.DefaultIntValue, Constants.DefaultStringArrayValue, Constants.DefaultStringMapValue, Constants.DefaultStringValue`

### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.LocalizableResource

`LocalizableResource.DefaultLocale, LocalizableResource.Description, LocalizableResource.Generate, LocalizableResource.GeneratedFrom, LocalizableResource.GenerateKeys, LocalizableResource.Key, LocalizableResource.Meaning`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBoolean(java.lang.String methodName)` Look up `boolean` by method name.
`double` `getDouble(java.lang.String methodName)` Look up `double` by method name.
`float` `getFloat(java.lang.String methodName)` Look up `float` by method name.
`int` `getInt(java.lang.String methodName)` Look up `int` by method name.
`java.util.Map<java.lang.String,java.lang.String>` `getMap(java.lang.String methodName)` Look up `Map` by method name.
`java.lang.String` `getString(java.lang.String methodName)` Look up `String` by method name.
`java.lang.String[]` `getStringArray(java.lang.String methodName)` Look up `String[]` by method name.

### Method Detail

#### getBoolean

    boolean getBoolean(java.lang.String methodName)
                throws java.util.MissingResourceException

Look up `boolean` by method name.

Parameters:
  `methodName` - method name
Returns:
  boolean returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getDouble

    double getDouble(java.lang.String methodName)
              throws java.util.MissingResourceException

Look up `double` by method name.

Parameters:
  `methodName` - method name
Returns:
  double returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getFloat

    float getFloat(java.lang.String methodName)
            throws java.util.MissingResourceException

Look up `float` by method name.

Parameters:
  `methodName` - method name
Returns:
  float returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getInt

    int getInt(java.lang.String methodName)
        throws java.util.MissingResourceException

Look up `int` by method name.

Parameters:
  `methodName` - method name
Returns:
  int returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getMap

    java.util.Map<java.lang.String,java.lang.String> getMap(java.lang.String methodName)
                                                     throws java.util.MissingResourceException

Look up `Map` by method name.

Parameters:
  `methodName` - method name
Returns:
  Map returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getString

    java.lang.String getString(java.lang.String methodName)
                        throws java.util.MissingResourceException

Look up `String` by method name.

Parameters:
  `methodName` - method name
Returns:
  String returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid

#### getStringArray

    java.lang.String[] getStringArray(java.lang.String methodName)
                               throws java.util.MissingResourceException

Look up `String[]` by method name.

Parameters:
  `methodName` - method name
Returns:
  String[] returned by method
Throws:
  `java.util.MissingResourceException` - if methodName is not valid